summaryrefslogtreecommitdiffstats
path: root/autotest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autotest.sh')
-rwxr-xr-xautotest.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/autotest.sh b/autotest.sh
index f748cbbed12..84ffa0a1c78 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -30,8 +30,13 @@ if [ -z "$PHP_EXE" ]; then
fi
PHP=$(which "$PHP_EXE")
if [ -z "$PHPUNIT_EXE" ]; then
- PHPUNIT_EXE=phpunit
+ if [ -f "build/integration/vendor/bin/phpunit" ]; then
+ PHPUNIT_EXE="./build/integration/vendor/bin/phpunit"
+ else
+ PHPUNIT_EXE=phpunit
+ fi
fi
+
PHPUNIT=$(which "$PHPUNIT_EXE")
set -e
@@ -56,7 +61,7 @@ else
fi
if ! [ -x "$PHPUNIT" ]; then
- echo "phpunit executable not found, please install phpunit version >= 6.5" >&2
+ echo "phpunit executable not found, please install phpunit version >= 9.0" >&2
exit 3
fi